      subroutine makelowercase(str,n)

c  this subroutine written by alain st-amant of the department of
c  pharmaceutical chemistry, university of california, san francisco.
c  all rights reserved.  this is part of the DeFT project.

      character str(*)

      character ua,uz,la

      data ua,uz,la/'A','Z','a'/

      do 1001 i=1,n
 1001 if((ichar(str(i)).ge.ichar(ua)).and.
     &   (ichar(str(i)).le.ichar(uz)))      str(i)=char(ichar(str(i))
     &                                                 +ichar(la)
     &                                                 -ichar(ua))

      return
      end
